Bug 2258096 - CVE-2023-4001 grub2: bypass the GRUB password protection feature [fedora-all]
Summary: CVE-2023-4001 grub2: bypass the GRUB password protection feature [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 39
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Nicolas Frayer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-4001
TreeView+ depends on / blocked
 
Reported: 2024-01-12 16:10 UTC by Zack Miele
Modified: 2024-04-08 16:07 UTC (History)
5 users (show)

Fixed In Version: grub2-2.06-116.fc39 grub2-2.06-114.fc38
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-02-05 01:24:24 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Zack Miele 2024-01-12 16:10:14 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2224951

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Zack Miele 2024-01-12 16:10:17 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2224951,2258096

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Nicolas Frayer 2024-01-15 18:14:52 UTC
Hi Zack,

Can I also include other bug fixes with this update or should I only push an update for the CVE ?

Thanks,

Nicolas

Comment 3 Zack Miele 2024-01-15 19:37:03 UTC
(In reply to Nicolas Frayer from comment #2)
> Hi Zack,
> 
> Can I also include other bug fixes with this update or should I only push an
> update for the CVE ?
> 
> Thanks,
> 
> Nicolas

Hi Nicolas,

That is entirely up to your discretion as the maintainer. We don't dictate any specific course of action for Fedora.

Best,
Zack

Comment 4 Fedora Update System 2024-01-18 17:11:55 UTC
FEDORA-2024-53d986312e has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2024-53d986312e

Comment 5 Fedora Update System 2024-01-18 17:44:59 UTC
FEDORA-2024-633dc7e183 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2024-633dc7e183

Comment 6 Fedora Update System 2024-01-19 03:34:02 UTC
FEDORA-2024-633dc7e183 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-633dc7e183`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-633dc7e183

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2024-01-19 18:04:34 UTC
FEDORA-2024-53d986312e has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-53d986312e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-53d986312e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2024-02-05 01:24:24 UTC
FEDORA-2024-53d986312e has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2024-02-05 01:45:48 UTC
FEDORA-2024-633dc7e183 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.